local ext = require "shellExtension"
assert(shellExtension)

local porExt, errorMsg = ext.getParameterValue(arg, 'POREXT') 
assert(errorMsg == nil, errorMsg)

local output, errorMsg = ext.getParameterValue(arg, 'SAIDA') 
assert(errorMsg == nil, errorMsg)

local commonInPath
local filesIn

if porExt == "NAO" then
   local input, errorMsg = ext.getParameterValue(arg, 'ENTRADA') 
   assert(errorMsg == nil, errorMsg)

   local inputTable = ext.toStringArray(input)
   local fileTable
   commonInPath, fileTable  = ext.getCommonPath(inputTable)
   assert(commonInPath, 
     "Nao foi possivel obter o caminho comum a todos os arquivos")
   
   filesIn = ""
   for i=1, #fileTable do
     filesIn = filesIn.." "..fileTable[i]
   end

else
   local extension, errorMsg = ext.getParameterValue(arg, 'EXT') 
   assert(errorMsg == nil, errorMsg)

   local diretorio, errorMsg = ext.getParameterValue(arg, 'DIRETORIO') 
   assert(errorMsg == nil, errorMsg)

   --commonInPath, outputDir = ext.splitPath(diretorio)
   --filesIn = outputDir.." -i \\\*"..extension
   commonInPath = diretorio
   filesIn = ". -i \\\*"..extension
end

-- obtem o path da saida com relacao ao path comun
local outputRelPath = ext.findRelativePath(commonInPath, output)
assert(outputRelPath, "Falha na obtencao do caminho relativo")

--remove o zip se ele existir e em seguida cria um vazio
ext.fileRemove(output)
--local outFile = ext.fileOpen(output, "w")
--outFile:close()

-- Vai para o diretorio comum
ext.chdir(commonInPath)

assert(ext.execCmdLine(ext.SHELL_SH, "zip -r", nil,  true, outputRelPath, filesIn),
 "Falha na execucao do comando") 
