package csgrid.server;

/*
 * $Author: pietroguedes $ $Revision: 149913 $ $Date: 2008-08-04 14:38:50 -0300
 * (Mon, 04 Aug 2008) $
 */

import csbase.logic.ServerURI;
import csbase.server.LocalServerRemoteMonitor;
import csgrid.remote.ServerServiceLocator;

/**
 * Representa uma classe que será usada pelo servidor local para monitorar o estado da conexão com
 * um servidor central.
 *
 * @author Tecgraf/PUC-Rio
 */
public class CentralServerMonitor extends LocalServerRemoteMonitor {
  /**
   * Cria um monitorador remoto de servidor central que será usado pelo servidor local.
   *
   * @param serverURI o do servidor a ser monitorado
   * @param windowSize Valor máximo da janela de backoff.
   */
  public CentralServerMonitor(ServerURI serverURI, int windowSize) {
    super(serverURI, ServerServiceLocator.class, windowSize);
  }
}
